Monday, November 03, 2008

RubyGems 1.3.1 na Ubuntu 8.10

Wraz z pojawieniem się nowej wersji Ubuntu 8.10 - nie obeszło się bez problemów. Domyślnie dla tej wersji apt-get instaluje rubygemy w wersji 1.2. Niestety polecenie:


sudo update_rubygems


Wydane po instalacji "gem install rubygems-update" się nie wywołuje.

Oto metoda jak sobie z tym poradzić znaleziona na blogu (http://roninonrails.blogspot.com/2008/11/setting-up-ubuntu-810-for-ruby-on-rails.html):


wget http://rubyforge.org/frs/download.php/45905/rubygems-1.3.1.tgz
cd rubygems-1.3.1
ruby setup.rb
ln -s /usr/bin/gem1.8 /usr/bin/gem

1 comment:

underley said...

http://debs.ciemnogrod.eu/ubuntu/rubygems-1.3.1/